Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.runtime
Class JDOState

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.runtime.JDOState

public class JDOState
extends java.lang.Object

Base class for all JDO lifecycle states. Each JDO instance is managed by a `StateManagerImpl`, which in turn keeps a reference to its current state.

The state governs the behavior of the instance during all JDO lifecycle events. The class itself is stateless, and is provided its context on each method call. This base class provides no-op implementations of all methods and maintains static singelton shared references to each possible JDO state.

Field Summary
`static com.solarmetric.rd.kodo.runtime.JDOState` | `ECLEAN` Embedded-Clean
`static com.solarmetric.rd.kodo.runtime.JDOState` | `EDELETED` Embedded-Deleted
`static com.solarmetric.rd.kodo.runtime.JDOState` | `EDIRTY` Embedded-Dirty
`static com.solarmetric.rd.kodo.runtime.JDOState` | `ENEW` Embedded-New
`static com.solarmetric.rd.kodo.runtime.JDOState` | `ENONTRANS` Embedded-Nontransactional
`static com.solarmetric.rd.kodo.runtime.JDOState` | `HOLLOW` Hollow; exists in data store
`static com.solarmetric.rd.kodo.runtime.JDOState` | `PCLEAN` Persistent-Clean
`static com.solarmetric.rd.kodo.runtime.JDOState` | `PDELETED` Persistent-Deleted
`static com.solarmetric.rd.kodo.runtime.JDOState` | `PDIRTY` Persistent-Dirty
`static com.solarmetric.rd.kodo.runtime.JDOState` | `PNEW` Persistent-New
`static com.solarmetric.rd.kodo.runtime.JDOState` | `PNEWDELETED` Persistent-New-Deleted
`static com.solarmetric.rd.kodo.runtime.JDOState` | `PNONTRANS` Persistent-Nontransactinoal
`static com.solarmetric.rd.kodo.runtime.JDOState` | `TCLEAN` Transient-Clean
`static com.solarmetric.rd.kodo.runtime.JDOState` | `TDIRTY` Transient-Dirty
`static com.solarmetric.rd.kodo.runtime.JDOState` | `TRANSIENT` Transient; unmanaged instance

Constructor Summary
`JDOState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNEW

    public static final com.solarmetric.rd.kodo.runtime.JDOState PNEW

  Persistent-New

### PCLEAN

    public static final com.solarmetric.rd.kodo.runtime.JDOState PCLEAN

  Persistent-Clean

### PDIRTY

    public static final com.solarmetric.rd.kodo.runtime.JDOState PDIRTY

  Persistent-Dirty

### PDELETED

    public static final com.solarmetric.rd.kodo.runtime.JDOState PDELETED

  Persistent-Deleted

### PNEWDELETED

    public static final com.solarmetric.rd.kodo.runtime.JDOState PNEWDELETED

  Persistent-New-Deleted

### PNONTRANS

    public static final com.solarmetric.rd.kodo.runtime.JDOState PNONTRANS

  Persistent-Nontransactinoal

### HOLLOW

    public static final com.solarmetric.rd.kodo.runtime.JDOState HOLLOW

  Hollow; exists in data store

### TRANSIENT

    public static final com.solarmetric.rd.kodo.runtime.JDOState TRANSIENT

  Transient; unmanaged instance

### TCLEAN

    public static final com.solarmetric.rd.kodo.runtime.JDOState TCLEAN

  Transient-Clean

### TDIRTY

    public static final com.solarmetric.rd.kodo.runtime.JDOState TDIRTY

  Transient-Dirty

### ENEW

    public static final com.solarmetric.rd.kodo.runtime.JDOState ENEW

  Embedded-New

### ECLEAN

    public static final com.solarmetric.rd.kodo.runtime.JDOState ECLEAN

  Embedded-Clean

### EDIRTY

    public static final com.solarmetric.rd.kodo.runtime.JDOState EDIRTY

  Embedded-Dirty

### EDELETED

    public static final com.solarmetric.rd.kodo.runtime.JDOState EDELETED

  Embedded-Deleted

### ENONTRANS

    public static final com.solarmetric.rd.kodo.runtime.JDOState ENONTRANS

  Embedded-Nontransactional

Constructor Detail

### JDOState

    public JDOState()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.